ThreatPress

WordPress Vulnerabilities Database

Back

WordPress <= 2.2 - SQL Injection

Product
WordPress
Description
Because of this vulnerability in xmlrpc.php, the authenticated users can execute arbitrary SQL commands via a parameter value in an XML RPC wp.suggestCategories methodCall.
Solution
Update WordPress.
Classification
Type SQL Injection
OWASP Top 10 A1: Injection
References
CVE Mitre
CVE
Name CVE-2007-3140
Versions
Affected In <= 2.2
Fixed In 2.3
Disclosure date
2007-06-08